## GeditEncodingsComboBox GeditEncodingsComboBox |

## Functions

GtkWidget * | gedit_encodings_combo_box_new ()
const GtkSourceEncoding * | gedit_encodings_combo_box_get_selected_encoding ()
void | gedit_encodings_combo_box_set_selected_encoding ()

## Properties

gboolean | save-mode | Read / Write / Construct

## Types and Values

| GeditEncodingsComboBoxPrivate
struct | GeditEncodingsComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── GeditEncodingsComboBox

## Implemented Interfaces

GeditEncodingsComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### gedit_encodings_combo_box_new ()

    GtkWidget *
    gedit_encodings_combo_box_new (gboolean save_mode);

### gedit_encodings_combo_box_get_selected_encoding ()

    const GtkSourceEncoding *
    gedit_encodings_combo_box_get_selected_encoding
                                   (GeditEncodingsComboBox *menu);

### gedit_encodings_combo_box_set_selected_encoding ()

    void
    gedit_encodings_combo_box_set_selected_encoding
                                   (GeditEncodingsComboBox *menu,
                                    const GtkSourceEncoding *encoding);

#### Parameters

encoding | . | [allow-none]

## Types and Values

### GeditEncodingsComboBoxPrivate

    typedef struct _GeditEncodingsComboBoxPrivate GeditEncodingsComboBoxPrivate;

### struct GeditEncodingsComboBox

    struct GeditEncodingsComboBox;

## Property Details

### The `“save-mode”` property

      “save-mode”                gboolean

Save Mode.

Flags: Read / Write / Construct

Default value: FALSE